CodeStreamLimits.h File Reference

Go to the source code of this file.

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | T1_NMSEDEC_BITS 7
#define | T1_NMSEDEC_FRACBITS (T1_NMSEDEC_BITS - 1)

## Variables

const uint16_t | grk::maxNumComponentsJ2K = 16384
const uint8_t | grk::maxPrecisionJ2K = 38
const uint8_t | grk::maxPassesPerSegmentJ2K = (maxPrecisionJ2K - 1) * 3 + 1
const uint16_t | grk::maxNumTilesJ2K = 65535
const uint8_t | grk::maxTilePartsPerTileJ2K = 255
const uint16_t | grk::maxTotalTilePartsJ2K = 65535
const uint32_t | grk::maxTilePartSizeJ2K = UINT_MAX
const uint16_t | grk::maxNumLayersJ2K = 65535
const uint32_t | grk::maxBitPlanesGRK = 31 - T1_NMSEDEC_FRACBITS
const uint16_t | grk::maxCompressLayersGRK = 100

## Macro Definition Documentation

## T1_NMSEDEC_BITS

#define T1_NMSEDEC_BITS 7

## T1_NMSEDEC_FRACBITS

#define T1_NMSEDEC_FRACBITS (T1_NMSEDEC_BITS - 1)